AnsweredAssumed Answered

Still looking for a response to Could not load org.bouncycas

Question asked by m.r. on Jan 22, 2009
As I was told that PostgreSQL is not part of 3D but should work with 2.9 I have (once again) tried to get 2.9 working

From:  http://forums.alfresco.com/en/viewtopic.php?f=8&t=16320&p=53725#p53725

NFO: HTMLManager: start: Starting web application at '/alfresco'
Jan 20, 2009 2:48:24 AM org.apache.catalina.core.StandardContext addApplicationListener
INFO: The listener "org.apache.myfaces.webapp.StartupServletContextListener" is already configured for this context. The duplicate definition has been ignored.
Jan 20, 2009 2:48:28 AM org.apache.catalina.core.ApplicationContext log
INFO: Loading Spring root WebApplicationContext
Jan 20, 2009 2:48:49 AM org.apache.catalina.loader.WebappClassLoader loadClass
INFO: Illegal access: this web application instance has been stopped already. Could not load org.bouncycastle.jce.provider.JDKMessageDigest$MD4. The eventual following stack trace is caused by an error thrown for debugging purposes as well as to attempt to terminate the thread which caused the illegal access, and has no functional impact.
java.lang.IllegalStateException
at org.apache.catalina.loader.WebappClassLoader.loadClass(WebappClassLoader.java:1273)
at org.apache.catalina.loader.WebappClassLoader.loadClass(WebappClassLoader.java:1233)

The only other reference I can find is an open bug:
https://issues.alfresco.com/jira/browse/ALFCOM-1362
and that is for 2.1.1 and a year old.

Do I need to file another bug report?

Outcomes